:root {
    --peche: #ffbd59;
    --blanc: #f8f7f6;
    --noir: #000000;
    font-family: QuicksandBold, Helvetica, Arial, sans-serif;
    font-size: 16pt;
}

/* IMPORTATION DES TYPOGRAPHIES */
@font-face {
    font-family: "Quicksand";
    src: url(font/Quicksand-Regular.ttf)
}
@font-face {
    font-family: "QuicksandBold";
    src: url(font/Quicksand-Bold.ttf)
}

@font-face {
    font-family: "BrittanySignature";
    src: url(font/BrittanySignature.ttf)
}
@font-face {
    font-family: "Breathing";
    src: url(font/Breathing.ttf)
}

/* ============================= */


body {
    background-color: var(--blanc);
    margin: 0;
}

img {
    width: 100%;
}

em {
    font-family: BrittanySignature;
    font-weight: 200;
    font-size: 54px;
}


/* =======--- NAVBAR ---======= */

nav {
    margin: 0.5vw 0.5vw 0.0vw 1.5vw;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

    nav div {
        display: flex;
        flex-direction: row;
        align-items: center;
    }

    nav h3 {
        margin: 0 10px;
    }

    nav a {
        text-decoration: none;
        color: var(--noir);
    }

    nav #menu_burger {
        display: flex;
        flex-direction: row;
        align-items: center;
    }

    nav ion-icon {
        font-size: 1.5em;
    }

.nav_droite a {
    margin-left: 0.5em;
    margin-right: 0.5em;
    text-align: center;
}

/* navbar deployée */

.menu_burger_displayed {
    display: flex;
}

.menu_burger_hidden {
    display: none;
}

/* input */

input[type=radio] {
    appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
    width: 30px;
    height: 30px;
    border-radius: 30px;
    outline: none;
    border: 2px solid var(--peche);
    margin-right: 1em;
}

    input[type=radio]:checked {
        background-color: var(--peche);
    }
/*  */

#menu_aside {
    flex-direction: column;
    margin: 0 2em 1.5em 1em;
}

    #menu_aside a {
        color: black;
        text-decoration: none;
        padding: 0.5em 1em;
        border-bottom: 1px solid black;
    }

        #menu_aside a:hover {
            background-color: var(--peche);
        }

/* ============================= */
/* =======--- ACCUEIL ---======= */
/* ============================= */
.neutral {
    background-color: #ffbd59a1;
    text-align: center;
    padding: 2em;
    border-bottom: 20px solid var(--peche);
}

/* 20 ans d'experience */
.vingtAnsXP {
    background-image: url(/images/20ansXP.png);
    background-repeat: no-repeat;
    background-size: cover;
    text-align: center;
    padding: 2em;
    border-bottom: 20px solid var(--peche);
}

    .vingtAnsXP img {
        width: 50%;
        margin-top: 1em;
    }

    .vingtAnsXP p {
        margin: 0;
        font-size: 5em;
    }

/* Engagée pour demain */


/* valeurs */

/* partenaires */

/* ======================================= */
/* ==========   DERNIERE MINUTE   ======== */
/* ======================================= */
.coffret_prix {
    display: flex;
    justify-content: center;
    align-items: center;
    border: 2px solid var(--peche);
    border-radius: 500px;
    height: 4em;
    width: 4em;
}



.legend1 {
    background-color: #ffbd59a1;
    padding: 10px;
    margin: 5px;
    text-align: center;
    border: 3px solid white;
    width: fit-content;
}

.legend2 {
    background-color: white;
    padding: 10px;
    margin: 5px;
    text-align: center;
    border: 3px solid white;
    width: fit-content;
}


/* menu */
.menu {
    display: flex;
    flex-direction: column;
    align-items: center;
    /*border-top: 6px solid var(--peche);*/
    width:100%;
    margin-top:20px;
    text-align:center;
}

    /*    .menu .choix {
        display: flex;
        margin: 0.5em 0 0.5em 5em;
    }
*/ .menu .choix {
        display: flex;
        justify-content: space-between;
        margin: 0.5em 0;
    }

        .menu .choix p:nth-of-type(2) {
            color: gray;
            font-style: italic;
            font-size: 16px;
        }

        .menu .choix tr:nth-of-type(2) {
            color: gray;
            font-style: italic;
            font-size: 16px;
        }

    .menu p {
        margin: 0;
    }
#errorValidation {
    color: red;
    margin-top:7px;
}

.menu h2 {
    color: darkblue;
    font-size:24px;
}
.menu h3 {
    font-size: 3em;
    text-align: center;
    margin: 0.4em;
}

    .menu .listeChoix {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .menu > button {
        width: 60%;
        padding: 1em 0;
    }

    .menu .encadrement {
        height: fit-content;
        width: 40%;
    }
    .menu > button, .menu > form input[type=submit] {
        background-color: var(--peche);
        border: 2px solid var(--peche);
        margin-top: 2em;
        width: fit-content;
        padding: 1em 2em;
        font-weight: bold;
        font-size: 0.8em;
        font-family: Quicksand, Helvetica, Arial, sans-serif;
    }

        .menu > button:hover {
            background-color: var(--blanc);
            cursor: pointer;
        }

/* --- */
.menu_titre {
    display: flex;
    justify-content: space-between;
}

    .menu_titre div {
        display: flex;
        flex-direction: column;
        align-items: center;
    }



.hdm_deux {
    justify-content: center;
}


/* ======================================= */
/* ==========---FOOTER-ACCUEIL--========== */
/* ======================================= */


.pt-un > img {
    width: 40%;
}

.accueil_footer_logos {
    width: 30%;
    display: flex;
    justify-content: center;
    padding-bottom: 1em;
}

    .accueil_footer_logos a {
        color: black;
        margin: 0 1.5em;
    }

        .accueil_footer_logos a ion-icon {
            font-size: 1.5em;
            background-color: var(--peche);
            padding: 0.5em;
            border-radius: 15px;
        }


/* navFooter */
.navFooter {
    border-top: 5px solid var(--peche);
    border-bottom: 20px solid var(--peche);
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    padding: 1em;
}

    .navFooter a {
        color: black;
        text-decoration: none;
        margin: 0 1em;
        font-weight: bold;
    }

        .navFooter a:hover {
            color: var(--peche);
        }

/* ======================================= */
/* ============---DERNIERE MINUTE--============ */
/* ======================================= */

/* HEADER */
.header_derniere_minute {
}



/* section varier */









/* encadrement */
.encadrement {
    border-bottom: 1px solid var(--peche);
    margin: 1em 0;
    width: 90%;
    text-align: center;
    padding: 0.5em 0;
    font-weight: bold;
    font-size: larger;
}

.cal_infos {
    width: 40%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    font-size: 0.7em;
}

.cal_tableau {
    width: 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.cal_infos .logo_danCOOKS {
    width: 40%;
}

.cal_form {
    display: flex;
    align-items: center;
}

    .cal_form ion-icon {
        font-size: 2em;
        margin-right: 1em;
    }

    .cal_form button {
        background-color: var(--peche);
    }

        .cal_form button:hover {
            background-color: var(--blanc);
            cursor: pointer;
        }

.cal_infos a {
    color: var(--noir);
    text-align: center;
}

.cal_tableau div {
    text-align: center;
    margin-top: 1em;
    border: 1px solid black;
    padding: 0.7em 0;
}

    .cal_tableau div p {
        margin: 0;
        font-size: 1.5em;
    }



.bold {
    font-weight: bold;
}

.menu_titre,
.listeChoix {
    width: 60%;
    padding: 1em 0;
}

.menu_titre,
.listeChoix {
    border-bottom: 0px solid red;
}

.choix div:first-child {
    margin: 1em 0;
}

.compteur {
    display: flex;
    flex-direction: row;
    align-items: center;
}

    .compteur p {
        margin: 0 1em;
        font-weight: bold;
    }

    .compteur button {
        border: none;
        background-color: var(--blanc);
        display: flex;
        align-items: center;
        cursor: pointer;
    }

        .compteur button ion-icon {
            font-size: 3em;
        }

.commander {
    background-color: var(--peche);
    border: 2px solid var(--peche);
    margin-top: 2em;
    width: fit-content;
    padding: 1em 2em;
    font-weight: bold;
    font-size: 0.8em;
    font-family: Quicksand, Helvetica, Arial, sans-serif;
}


/* footer */
.footer_dm {
    /*border-top: 6px solid var(--peche);*/
    margin-top:20px;
}

.fdm_un {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    width:100%;
}

    .fdm_un img {
        height: 150px;
    }

    .fdm_un div {
        display: flex;
        justify-content: center;
        align-items: center;
    }

        .fdm_un div p {
            font-size: 3em;
            margin: 0.5em;
        }

    .fdm_un p:first-child {
        font-size: 1.5em;
        font-weight: bold;
    }

    .fdm_un p {
    }

/* ======================================= */
/* ============---COFFRETS REPAS--============ */
/* ======================================= */














.tc_img {
    width: 40%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

    .tc_img img {
        width: 50%;
        margin-top: 2em;
    }

/* footer_contact */
.footer_contact {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 2em;
}

    .footer_contact p {
        margin: 0;
        font-size: 2em;
        font-weight: bold;
    }

    .footer_contact hr {
        border: 1px solid var(--peche);
        width: 40%;
        margin: 2em 0;
    }

    .footer_contact a {
        color: black;
        font-weight: bold;
        text-decoration: none;
        margin: 0.5em 0;
    }

        .footer_contact a:hover {
            color: var(--peche);
            text-decoration: underline;
        }

/* ======================================= */
/* ============---CAFE THE PAUSES--============ */
/* ======================================= */
.pd_header_img {
    background-image: url(/images/petit_dej.png);
    width:100%
}
/* ctp_header */
.ctp_header {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-left: 5px;
    padding-right: 5px;
}

.ctp_header_img {
    background-size: cover;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    border: solid 0px orange;
}

    .ctp_header_img h2,
    .ctp_header_img p em {
        font-size: 2em;
        margin: 0;
    }

.ctp_header_list {
    display: flex;
}

    .ctp_header_list div {
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
        margin: 2em;
    }

    .ctp_header_list img {
        height: 4em;
        width: auto;
    }
/* -- */



/* ======================================= */
/* ============---BUFFET & COCKTAIL--============ */
/* ======================================= */

.bc_header_img {
    background-image: url(/images/buffet.png);
    width: 100%;
}

/* ======================================= */
/* ============---BOISSONS ET SERVICES--============ */
/* ======================================= */

.bs_header_img {
    background-image: url(/images/bg_header.png);
    width:100%;
}

.bs_carteBoissons {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 2em 0;
}
/* ======================================= */
/*                scrollDownBtn            */
/* ======================================= */

.scrollDownBtn {
    position: relative;
    bottom: 20px;
    right: 20px;
    background: var(--peche);
    opacity:0.2;
    color: white;
    border: none;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    font-size: 24px;
    cursor: pointer;
    box-shadow: 0 4px 8px rgba(0,0,0,0.3);
    transition: all 0.3s ease;
    z-index: 1000;
    align-self:end;
}

    #scrollDownBtn:hover {
        background: orange;
        transform: scale(1.1);
    }

    #scrollDownBtn:active {
        animation: bounce 0.5s;
    }

@keyframes bounce {
    0%, 20%, 50%, 80%, 100% {
        transform: translateY(0);
    }

    40% {
        transform: translateY(-10px);
    }

    60% {
        transform: translateY(-5px);
    }
}
/* ================================================================================================================================================ */
/* ============---RESPONSIVE--============ */
/* ======================================= */

@media (max-width: 920px) {
    nav {
        margin: 0;
        padding: 1em;
        font-size: 0.7em;
    }



    .navFooter a {
        margin: 0.3em;
        font-size:12pt;
    }




    .cal_infos,
    .cal_tableau {
        width: 100%;
    }


    .menu_titre {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }
    /* menu : Responsive */
    .menu {
        display: flex;
    }

        .menu .encadrement {
            width: 100%;
        }

        /*.menu .choix {
            flex-direction: column;*/
            /*align-items: center;*/
        /*}*/

        .menu .choix {
            margin: 0;
        }


    .bc_header_img {
        background-color: rgba(0, 0, 0, 0.1);

    }










    .ctp_header_list {
        flex-direction: column;
    }







    .bs_standsGourmands_img {
        flex-wrap: wrap;
    }

        .bs_standsGourmands_img img {
            width: 100%;
            margin-bottom: 1em;
        }

    .ctp_header_list div {
        margin: 1em 0 0 0;
    }

    .bc_content {
        flex-direction: column;
    }

        .bc_content div {
            width: 90%;
            margin-top: 1em;
        }

    .bc_details_content {
        flex-direction: column;
    }

    .bc_infosImportantes div {
        flex-direction: column;
        width: 100%;
    }

    .bc_infosImportantes p {
        margin: 1em 0;
    }

    .bc_infosImportantes hr {
        width: 60%;
    }



    .calendar {
        padding: 0;
        gap: 0;
        grid-template-columns: repeat(5, 1fr);
    }

    .invalidDay {
        display: none;
    }

    /* ajoute a samedi et dimanche la classe : class="display_none" */
    .display_none {
        display: none;
    }

    .listeChoix {
        width: 100%;
    }
    .fdm_un p {
        font-size:16pt;
    }
    .coffret_prix {
        font-size:36px;
    }

}
